FunctionalSourceSet (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.language.base

## [Java] Interface FunctionalSourceSet

- java.util.Collection

- All Superinterfaces:
    NamedDomainObjectContainer, DomainObjectCollection, org.gradle.api.internal.PolymorphicDomainObjectContainerInternal, PolymorphicDomainObjectContainer, Named, org.gradle.util.Configurable, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry, NamedDomainObjectSet, ExtensiblePolymorphicDomainObjectContainer, NamedDomainObjectCollection, Iterable, Set, Collection

  A container holding LanguageSourceSets with a similar function (production code, test code, etc.).

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getBaseDir()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal` | `org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#registerFactory(java.lang.Class, org.gradle.api.NamedDomainObjectFactory), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#registerFactory(java.lang.Class, groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#registerBinding(java.lang.Class, java.lang.Class), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#create(java.lang.String, java.lang.Class, org.gradle.api.Action), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#create(java.lang.String, java.lang.Class), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#maybeCreate(java.lang.String, java.lang.Class), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#containerWithType(java.lang.Class), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#create(java.lang.String, org.gradle.api.Action), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#create(java.lang.String, groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#create(java.lang.String), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#configure(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#maybeCreate(java.lang.String), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#matching(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#matching(org.gradle.api.specs.Spec), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#findAll(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#withType(java.lang.Class), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#add(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#addAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getByName(java.lang.String), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getByName(java.lang.String, groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#matching(org.gradle.api.specs.Spec), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#matching(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#withType(java.lang.Class), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getAt(java.lang.String), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#findByName(java.lang.String), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getAsMap(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getNames(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#addRule(org.gradle.api.Rule), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#addRule(java.lang.String, groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getNamer(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getRules(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#all(org.gradle.api.Action), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#all(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#matching(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#matching(org.gradle.api.specs.Spec), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#findAll(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#withType(java.lang.Class), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#withType(java.lang.Class, org.gradle.api.Action), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#withType(java.lang.Class, groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#whenObjectAdded(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#whenObjectAdded(org.gradle.api.Action), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#whenObjectRemoved(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#whenObjectRemoved(org.gradle.api.Action), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#equals(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#hashCode(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#clear(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#contains(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#isEmpty(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#size(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#toArray([Ljava.lang.Object;), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#toArray(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#iterator(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#remove(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#containsAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#removeAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#retainAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#add(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#equals(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#hashCode(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#clear(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#contains(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#isEmpty(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#size(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#toArray([Ljava.lang.Object;), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#toArray(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#addAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#iterator(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#remove(java.lang.Object), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#containsAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#removeAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#retainAll(java.util.Collection), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#configure(groovy.lang.Closure), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getCreateableTypes(), org.gradle.api.internal.ExtensiblePolymorphicDomainObjectContainerInternal#getEntityInstantiator()`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public File getBaseDir()